package org.apache.bcel.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantFieldref extends ConstantCP
{
    public ConstantFieldref(final ConstantFieldref c) {
        super((byte)9, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantFieldref(final DataInput input) throws IOException {
        super((byte)9, input);
    }
    
    public ConstantFieldref(final int classIndex, final int nameAndTypeIndex) {
        super((byte)9, classIndex, nameAndTypeIndex);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitConstantFieldref(this);
    }
}
